# Generated by Django 4.0.7 on 2022-08-23 10:07

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0006_mainpersonpage_after_name_mainpersonpage_before_name_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="mainarticlepage",
            name="region",
            field=models.IntegerField(
                blank=True,
                choices=[
                    ("PHA", "Hlavní město Praha"),
                    ("JHC", "Jihočeský kraj"),
                    ("JHM", "Jihomoravský kraj"),
                    ("KVK", "Karlovarský kraj"),
                    ("VYS", "Kraj Vysočina"),
                    ("KHK", "Královéhradecký kraj"),
                    ("LBK", "Liberecký kraj"),
                    ("MSK", "Moravskoslezský kraj"),
                    ("OLK", "Olomoucký kraj"),
                    ("PAK", "Pardubický kraj"),
                    ("PLK", "Plzeňský kraj"),
                    ("STC", "Středočeský kraj"),
                    ("ULK", "Ústecký kraj"),
                    ("ZLK", "Zlínský kraj"),
                ],
                help_text="Kraj, ke kterému se článek vztahuje",
                null=True,
                verbose_name="Kraj",
            ),
        ),
        migrations.AlterField(
            model_name="mainarticlepage",
            name="author_page",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="main.mainpersonpage",
                verbose_name="Stránka autora (osoby)",
            ),
        ),
    ]
